%define name	xffm-trash
%define version 4.5.0
%define release %mkrel 4

Name: 	 	%{name}
Summary: 	A wastebasket/trashcan plugin for the Xffm-filemanager
Version: 	%{version}
Release: 	%{release}

Source:		http://downloads.sourceforge.net/xffm/%{name}-%{version}.tar.bz2
Patch0:		xffm-trash-4.5.0-makefile.patch
URL:		http://xffm.sf.net
License:	GPL
Group:		Graphical desktop/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	xfce-dev-tools
BuildRequires:	autoconf2.5
BuildRequires:	automake1.9
BuildRequires:	intltool
BuildRequires:	glib-gettextize
BuildRequires:	gtk2-devel
BuildRequires:	gtk-doc
BuildRequires:  libxffm-devel >= 4.5.0
BuildRequires:  xffm-gui-devel
BuildRequires:  xffm-filemanager
BuildRequires:  xffm-filemanager-devel
Requires:	xffm-filemanager

%description
The TRASH plugin allows you to keep wastebaskets for trash in the directories where 
the trash is generated, allowing for easy recovery. The plugin also keeps tabs of all 
generated wastebaskets and allows management from a central location.

%prep
%setup -q
%patch0 -p0 -b .makefile

%build
aclocal -I /usr/share/xfce4/dev-tools/m4macros -I ./m4
autoconf
automake
%configure2_5x
%make
										
%install
rm -rf %{buildroot}
%makeinstall
%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog NEWS* README*
%{_bindir}/%{name}
%{_bindir}/xftrash
%{_libdir}/xffm/plugins/*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/applications/Xffm-trash.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/xffm/%{name}


%changelog
* Mon Mar 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 4.5.0-4mdv2007.0
+ Revision: 133392
- Fix group

* Fri Jan 12 2007 Crispin Boylan <crisb@mandriva.org> 4.5.0-3mdv2007.1
+ Revision: 107784
- Supply patch for binary name, fixes #28120

* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 4.5.0-2mdv2007.1
+ Revision: 107782
- fix conflict with xffm-filemanager (bug #28120)
- use the right locale macro

* Thu Jan 11 2007 Crispin Boylan <crisb@mandriva.org> 4.5.0-1mdv2007.1
+ Revision: 107605
- Fix BuildRequires
- First mandriva package
- Create xffm-trash

